com.microfocus.awm.meta.interfaces

## Interface RFileProperty

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RFilePropertyImpl

      public interface RFileProperty
      extends AWMObject

  The relationship "File has Property" can be used to interprete and process the content of a structured file.

  The following features are supported:

  - `Target ID`
  - `Editable`
  - `Label`
  - `Seq No`
  - `Visible`
  See Also:
    `TaurusPackage.getRFileProperty()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isEditable()` Returns the value of the 'Editable' attribute.
    `boolean` | `isSetEditable()` Returns whether the value of the '`Editable`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetVisible()` Returns whether the value of the '`Visible`' attribute is set.
    `boolean` | `isVisible()` Returns the value of the 'Visible' attribute.
    `void` | `setEditable(boolean value)` Sets the value of the '`Editable`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `setVisible(boolean value)` Sets the value of the '`Visible`' attribute.
    `void` | `unsetEditable()` Unsets the value of the '`Editable`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetVisible()` Unsets the value of the '`Visible`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference. References a property whose value is part of the structured file.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRFileProperty_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### isEditable

          boolean isEditable()

      Returns the value of the 'Editable' attribute. The default value is `"false"`.
      Determines whether the corresponding table column is editable.
      Returns:
        the value of the 'Editable' attribute.
      See Also:
        `isSetEditable()`, `unsetEditable()`, `setEditable(boolean)`, `TaurusPackage.getRFileProperty_Editable()`

    - #### setEditable

          void setEditable(boolean value)

      Sets the value of the '`Editable`' attribute.
      Parameters:
        `value` - the new value of the 'Editable' attribute.
      See Also:
        `isSetEditable()`, `unsetEditable()`, `isEditable()`

    - #### unsetEditable

          void unsetEditable()

      Unsets the value of the '`Editable`' attribute.
      See Also:
        `isSetEditable()`, `isEditable()`, `setEditable(boolean)`

    - #### isSetEditable

          boolean isSetEditable()

      Returns whether the value of the '`Editable`' attribute is set.
      Returns:
        whether the value of the 'Editable' attribute is set.
      See Also:
        `unsetEditable()`, `isEditable()`, `setEditable(boolean)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Labels table columns if the file should be displayed in a table. If no label is stated, the name is used as a label.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRFileProperty_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Property its Label wasn't set, too, its ID will be returned.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The sequence number of the property value in the structured file.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRFileProperty_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isVisible

          boolean isVisible()

      Returns the value of the 'Visible' attribute. The default value is `"true"`.
      Determines whether this property should be displayed as a column in a table view.
      Returns:
        the value of the 'Visible' attribute.
      See Also:
        `isSetVisible()`, `unsetVisible()`, `setVisible(boolean)`, `TaurusPackage.getRFileProperty_Visible()`

    - #### setVisible

          void setVisible(boolean value)

      Sets the value of the '`Visible`' attribute.
      Parameters:
        `value` - the new value of the 'Visible' attribute.
      See Also:
        `isSetVisible()`, `unsetVisible()`, `isVisible()`

    - #### unsetVisible

          void unsetVisible()

      Unsets the value of the '`Visible`' attribute.
      See Also:
        `isSetVisible()`, `isVisible()`, `setVisible(boolean)`

    - #### isSetVisible

          boolean isSetVisible()

      Returns whether the value of the '`Visible`' attribute is set.
      Returns:
        whether the value of the 'Visible' attribute is set.
      See Also:
        `unsetVisible()`, `isVisible()`, `setVisible(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.